Subject: bug#65121: 30.0.50; Text ``icons'' in margins receive region face

From: Po Lu <[email-masked]>
Date: Mon, 07 Aug 2023 21:04:09 +0800

Eli Zaretskii <[email-masked]> writes:

> I see this, both on GNU/Linux and on MS-Windows in the -nw session,
> but I don't think this is a bug.

This doesn't happen on X frames.

> This I cannot reproduce on MS-Windows.  (I don't have a GNU/Linux
> system with a mouse-capable TTY, so I cannot try there.)  Or maybe I
> don't understand what you mean by "link on a line that contains such
> an icon"?  By "links" do you mean symbols quoted 'like this'?

Yes.  Perhaps this bug is specific to the MS-DOS build; msdos.c's
variant of tty_draw_row_with_mouse_face seems to lack special treatment
for the margin area that is present in term.c.

> Strangely, not all of the links are highlighted with mouse-face, only
> some.  And I cannot understand what makes different instances of a
> link behave differently.

Or maybe we are witnessing different manifestations of the same bug.

Thanks.